> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shimli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Lead to CRM

> # Lead injection in CRM

# Lead injection in CRM

\**Important: ID\_WHATSAPP must contain the following structure "COUNTY\_CODE" + "PHONE\_NUMBER" + "@c.us" example [14243962506@c.us](mailto:14243962506@c.us)*

Optional parameters

* area *string* = Area or equipment code
* agent *string* = Agent ID, for this to be possible you must send an area to which the agent belongs
* process *string* = Process ID
* tags *string* = example \["customer service", "sales"]
* channel *string* = whatsapp or fb-messenger

`POST` `/v1/crm`

## Body

```json theme={null}
{
  "to": "ID_CONTACT",
  "instance": "ID_INSTANCE",
  "text": "Open from API",
  "token": "TOKEN_SHIMLI",
  "area": "ID_AREA",
  "channel": "ID_CHANNEL"
}
```

## Autenticacion

Este endpoint requiere tu token de API. Incluyelo en el body como `token` o como query param `token`/`api-token`. Ve [Autenticacion](/getting-started/authentication) para mas detalles.

## Ejemplo de request

```bash theme={null}
curl -X POST https://api.shimli.app/v1/crm \
  -H "Content-Type: application/json" \
  -d '{
    "to": "ID_CONTACT",
    "instance": "ID_INSTANCE",
    "text": "Open from API",
    "token": "TOKEN_SHIMLI",
    "area": "ID_AREA",
    "channel": "ID_CHANNEL"
}'
```

## Respuesta

```json title="200 OK" theme={null}
{
  "statusCode": 200,
  "body": {
    "err": false
  }
}
```
